package com.yihu.wlyy.service.app.medicines;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.yihu.wlyy.entity.dict.Medicines;
import com.yihu.wlyy.repository.dict.MedicinesDao;
import com.yihu.wlyy.service.BaseService;

@Component
@Transactional(rollbackFor = Exception.class)
public class MedicinesService extends BaseService {

	@Autowired
	private MedicinesDao medicinesDao;

	/**
	 * 查询所有的药品信息
	 * @param type 药品类型：1健康记录
	 * @return
	 */
	public List<Medicines> findAllMedicines(int type) {
		return medicinesDao.findAll(type);
	}

}
